%define		_class		File
%define		upstream_name	%{_class}

Summary:	Common file and directory routines
Name:		php-pear-%{upstream_name}
Version:	1.4.1
Release:	2
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/File/
Source0:	http://download.pear.php.net/package/File-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
Suggests:	php-pear-File_Util
Suggests:	php-pear-File_CSV

%description
Provides easy access to read/write to files along with some common routines
to deal with paths.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.4.1-2
+ Revision: a9e5ed1
- MassBuild#440: Increase release tag


